Panda3D

Loading...
Searching...
No Matches
Enumerations | Functions
textAssembler.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "textAssembler.h"`
`#include "textGlyph.h"`
`#include "cullFaceAttrib.h"`
`#include "colorAttrib.h"`
`#include "cullBinAttrib.h"`
`#include "textureAttrib.h"`
`#include "transparencyAttrib.h"`
`#include "textPropertiesManager.h"`
`#include "textEncoder.h"`
`#include "config_text.h"`
`#include "geomTriangles.h"`
`#include "geomLines.h"`
`#include "geomPoints.h"`
`#include "geomVertexReader.h"`
`#include "geomVertexWriter.h"`
`#include "geomVertexFormat.h"`
`#include "geomVertexData.h"`
`#include "geom.h"`
`#include "modelNode.h"`
`#include "dynamicTextFont.h"`
`#include <ctype.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Enumerations
enum | ClusterFlags { CF_small_caps = 0x200000 }

## Functions
| PT (PandaNode) TextAssembler
| Actually assembles all of the text into a GeomNode, and returns the node (or possibly a parent of the node, to keep the shadow separate).

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2004-04-06

Definition in file textAssembler.cxx.

## Enumeration Type Documentation

## ◆ ClusterFlags

enum ClusterFlags

Definition at line 47 of file textAssembler.cxx.

## Function Documentation

## ◆ PT()

PT | ( | PandaNode |  | ) |

Actually assembles all of the text into a GeomNode, and returns the node (or possibly a parent of the node, to keep the shadow separate).

Once this has been called, you may query the extents of the text via get_ul(), get_lr().

Definition at line 532 of file textAssembler.cxx.

References TextProperties::get_shadow, TextProperties::get_shadow_state(), and TextProperties::get_text_state().